<?xml version="1.0" encoding="UTF-8"?>

<!--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.

Note to U.S. Government Users Restricted Rights:
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp. 
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:crn="http://developer.cognos.com/schemas/crconfig/1/" xmlns:cfg="http://developer.cognos.com/schemas/configparams/XMLSchema/1/">
	<!-- copy all other elements -->
	<xsl:output method="xml" version="1.0" indent="yes" encoding="UTF-8"/>
	<!-- copy everything -->
	<xsl:template match="*|@*|text()|processing-instruction()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
		</xsl:copy>
	</xsl:template>
	<!-- Replace CM content store with DB2 db -->
	<xsl:template match="/crn:parameters/crn:parameter[@name = 'CM']/crn:value/crn:instances[@name='database']">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<crn:instance name="Content Store" class="Oracle">
				<crn:parameter name="server">
					<crn:value xsi:type="cfg:hostPort">C8SE_C8_DB_HOST:C8SE_C8_DB_PORT</crn:value>
				</crn:parameter>
				<crn:parameter name="user">
					<crn:value xsi:type="cfg:credential">
						<credential>
							<username>C8SE_C8_DB_UID</username>
							<password>C8SE_C8_DB_Pass</password>
						</credential>
					</crn:value>
				</crn:parameter>
				<crn:parameter name="servicename">
					<crn:value xsi:type="xsd:string">C8SE_C8_DB_SERVICE_NAME</crn:value>
				</crn:parameter>
			</crn:instance>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
